## GtkActivatable GtkActivatable |

## Functions

void | gtk_activatable_do_set_related_action ()
GtkAction * | gtk_activatable_get_related_action ()
gboolean | gtk_activatable_get_use_action_appearance ()
void | gtk_activatable_sync_action_properties ()
void | gtk_activatable_set_related_action ()
void | gtk_activatable_set_use_action_appearance ()

## Properties

GtkAction * | related-action | Read / Write
gboolean | use-action-appearance | Read / Write

## Types and Values

| GtkActivatable
struct | GtkActivatableIface

## Object Hierarchy

        GInterface
        ╰── GtkActivatable

## Prerequisites

GtkActivatable requires GObject.

## Known Implementations

GtkActivatable is implemented by GtkButton, GtkCheckButton, GtkCheckMenuItem, GtkColorButton, GtkFontButton, GtkImageMenuItem, GtkLinkButton, GtkMenuItem, GtkMenuToolButton, GtkOptionMenu, GtkRadioButton, GtkRadioMenuItem, GtkRadioToolButton, GtkRecentChooserMenu, GtkScaleButton, GtkSeparatorMenuItem, GtkSeparatorToolItem, GtkTearoffMenuItem, GtkToggleButton, GtkToggleToolButton, GtkToolButton, GtkToolItem and GtkVolumeButton.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_activatable_do_set_related_action ()

    void
    gtk_activatable_do_set_related_action (GtkActivatable *activatable,
                                           GtkAction *action);

Since: 2.16

### gtk_activatable_get_related_action ()

    GtkAction *
    gtk_activatable_get_related_action (GtkActivatable *activatable);

Since: 2.16

### gtk_activatable_get_use_action_appearance ()

    gboolean
    gtk_activatable_get_use_action_appearance
                                   (GtkActivatable *activatable);

Since: 2.16

### gtk_activatable_sync_action_properties ()

    void
    gtk_activatable_sync_action_properties
                                   (GtkActivatable *activatable,
                                    GtkAction *action);

Since: 2.16

### gtk_activatable_set_related_action ()

    void
    gtk_activatable_set_related_action (GtkActivatable *activatable,
                                        GtkAction *action);

Since: 2.16

### gtk_activatable_set_use_action_appearance ()

    void
    gtk_activatable_set_use_action_appearance
                                   (GtkActivatable *activatable,
                                    gboolean use_appearance);

Since: 2.16

## Types and Values

### GtkActivatable

    typedef struct _GtkActivatable GtkActivatable;

### struct GtkActivatableIface

    struct GtkActivatableIface {
      GTypeInterface g_iface;

      /* virtual table */
      void   (* update)                   (GtkActivatable *activatable,
    		                       GtkAction      *action,
    		                       const gchar    *property_name);
      void   (* sync_action_properties)   (GtkActivatable *activatable,
    		                       GtkAction      *action);
    };

Since: 2.16

## Property Details

### The `“related-action”` property

      “related-action”           GtkAction *

The action this activatable will activate and receive updates from.

Flags: Read / Write

Since: 2.16

### The `“use-action-appearance”` property

      “use-action-appearance”    gboolean

Whether to use the related actions appearance properties.

Flags: Read / Write

Default value: TRUE

Since: 2.16